Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1279579

Summary: Review Request: itktools - Practical command line tools based on the ITK
Product: [Fedora] Fedora Reporter: Igor Gnatenko <ignatenko>
Component: Package ReviewAssignee: Zbigniew Jędrzejewski-Szmek <zbyszek>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: igor.raits, package-review, sanjay.ankur, zbyszek
Target Milestone: ---Flags: zbyszek: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-22 07:30:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1291010    
Bug Blocks: 201449, 1276941    

Description Igor Gnatenko 2015-11-09 19:28:07 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/ITKTools.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/ITKTools-0.3.1-0.1.git5a21673.fc24.src.rpm
Description:
Practical command line tools based on the ITK, intended for image processing.
These tools are designed to take one or more input image(s) from the command
line, perform a single operation, and produce an output image. For example
smoothing of an image can be done with the tool pxgaussianimagefilter.
Fedora Account System Username: ignatenkobrain

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-01 20:38:53 UTC
The name should really be lowercase, it's a bother to remember complex capitalization. https://fedoraproject.org/wiki/Packaging:NamingGuidelines#General_Naming says "Package names should be in lower case and use dashes in preference to underscores."

You *could* build the documentation, would be nice to have a pdf with the help.

No need to rm -rf build/ in %prep: %autosetup will recreate the whole source directory anyway. This applies also to a few other packages that I reviewed; I forgot to mention it before.

#!/usr/bin/env python3 → #!/usr/bin/python3.

- license is OK (Apache)
- license file is present, %license is used
- latest version
- no scriptlets needed or present
- package builds and installs

Build fails in tests, I'll kick of a scratch build.


Note to self: check explicit Requires: python3.

Comment 2 Upstream Release Monitoring 2015-12-01 21:14:45 UTC
zbyszek's scratch build of ITKTools-0.3.1-0.1.git5a21673.fc24.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12024667

Comment 4 Upstream Release Monitoring 2015-12-06 11:37:35 UTC
ignatenkobrain's scratch build of itktools-0.3.1-0.2.git5a21673.fc24.src.rpm for f24 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12082859

Comment 5 Igor Gnatenko 2015-12-06 11:40:47 UTC
All tests failed on arm due to
26: Test timeout computed to be: 1500
26: terminate called after throwing an instance of 'std::length_error'
26:   what():  vector::_M_fill_insert

I see the same problem with DiffusionKurtosisFit

Comment 6 Zbigniew Jędrzejewski-Szmek 2016-01-07 01:45:04 UTC
Packaging is OK. Let's hope we can get #1291010 fixed at some point.

Package is APPROVED.

Comment 7 Mike McCune 2016-03-28 23:47:57 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune with any questions

Comment 8 Ankur Sinha (FranciscoD) 2018-08-05 09:05:08 UTC
Hello,

If the package has been reviewed, should we import it to SCM?

Cheers!
Ankur

Comment 9 Ankur Sinha (FranciscoD) 2018-08-21 21:52:36 UTC
Ping? :)

Comment 10 Igor Raits 2018-08-22 07:30:22 UTC
Unfortunately I don't have time to work on these review requests anymore, sorry.